{% extends "base.html" %}

{% block stylesheets %}
{% endblock %}

{% block content %}
<div class="jumbotron">
	<div class="container">
		<h1>Reset Password</h1>
	</div>
</div>
<div class="container container-bg">
	<div class="row">
		<div class="col-md-6 offset-md-3">
			{% include "components/errors.html" %}

			{% if mode == "email" %}
			{% with form = Forms.auth.ResetPasswordRequestForm() %}
			<form method="post" accept-charset="utf-8" autocomplete="off" role="form" class="form-horizontal">
				<div class="form-group">
					<b>Email</b>
					{{ form.email(class="form-control") }}
				</div>
				<div class="row">
					<div class="col-md-6 offset-md-6">
						{{ form.submit(class="btn btn-md btn-primary float-right") }}
					</div>
				</div>
				{{ form.nonce() }}
			</form>
			{% endwith %}
			{% endif %}

			{% if mode == "password" %}
			{% with form = Forms.auth.ResetPasswordForm() %}
			<form method="post" accept-charset="utf-8" autocomplete="off" role="form" class="form-horizontal">
				<div class="form-group">
					<b>New Password</b>
					{{ form.password(class="form-control") }}
				</div>
				<div class="row">
					<div class="col-md-6 offset-md-6">
						{{ form.submit(class="btn btn-md btn-primary float-right") }}
					</div>
				</div>
				{{ form.nonce() }}
			</form>
			{% endwith %}
			{% endif %}

		</div>
	</div>
</div>
{% endblock %}

{% block scripts %}
{% endblock %}